#include "Selected_atoms.h"

#include "Atom_kit.h"

namespace MM
{

Selected_atoms::
Selected_atoms (Atom_group & group)
{
    for (int i=0;  i<group.atom_count();  ++i)
    {
        Atom & current_atom = group.atom(i);

        if (current_atom.kit().is_selected())
            group_.push_back (current_atom);
    }
}

}//MM
